import numpy as np
import sys
def extractData(filehandler,column):
    # Be sure we're at the beginning of the file
    filehandler.seek(0)
    # Read the file - First get all of the data
    AllData=np.loadtxt(filehandler)
    # Copy to a 1D Numpy array for faster analysis
    Data1=AllData[:,column]
    # Check for NaN in the data
    if np.isnan(np.min(Data1)): # Note: min() propagates NaN. Checking result of reduction operator faster than creating a vector of results.
        sys.stderr.write("WARNING: NaN in data. Run diverged. Proceeding with bad samples removed.\n")
        Data1=Data1[np.isfinite(Data1)]
    return Data1

def getStat(filehandler,column):
    data = extractData(filehandler,column)
    mean,std = np.mean(data),np.std(data)
    return mean,std
